package com.huigou.topsun.sap.acceptanceFormAck.controller;

import com.huigou.topsun.sap.acceptanceFormAck.application.SapAcceptanceFormAckApplication;
import com.huigou.uasp.annotation.ControllerMapping;
import com.huigou.uasp.client.CommonController;
import com.huigou.util.SDO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Controller;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

/**
 * SapAcceptanceFormAck 验收单标记控制类
 *
 * @author qinzhenguan
 * @createDate 2024/01/22 16:05
 **/
@RequiredArgsConstructor
@Controller
@ControllerMapping("/sapAcceptanceForm")
public class SapAcceptanceFormAckController extends CommonController {

    private final SapAcceptanceFormAckApplication ackServer;

    @Override
    protected String getPagePath() {
        return "/biz/topsun/sap/acceptanceFormAck/";
    }

    public String forwardAcceptanceForm() {
        return forward("acceptanceFormAck");
    }

    public String findWorkCenter() {
        SDO sdo = this.getSDO();
        ArrayList<Map<String, Object>> list = ackServer.findAcceptanceForm(sdo);
        HashMap<Object, Object> map = new HashMap<>(3);
        map.put("Rows", list);
        return toResult(map);
    }

}